### Method

# Cogl Snippet get_declarations

#### Declaration [src]

    const char*
    cogl_snippet_get_declarations (
      CoglSnippet* snippet
    )

#### Description

No description available.

#### Return value

Type: `const char*`

The source string that was set with `cogl_snippet_set_declarations()` or `NULL` if none was set.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.